<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.PopularInformationMapper">
    
    <resultMap type="PopularInformation" id="PopularInformationResult">
    	<id     property="id"      column="id"      />
        <result property="popularRanking"    column="popular_ranking"    />
        <result property="informationName"     column="information_name"     />
        <result property="popularBrowse"     column="popular_browse"     />
    </resultMap>
    
    <sql id="selectPopularInformationVo">
        select id, popular_ranking, information_name, popular_browse from sooka_popularinformation
    </sql>

    <select id="selectPopularInformationList" parameterType="PopularInformation" resultMap="PopularInformationResult">
        <include refid="selectPopularInformationVo"/>
    </select>

	<delete id="deletePopularInformationAll" parameterType="Long">
		delete from sooka_popularinformation
	</delete>

	<insert id="insertBatch">
		insert into sooka_popularinformation (popular_ranking, information_name, popular_browse) values
		<foreach item="item" collection="list" separator=",">
			(#{item.popularRanking},#{item.informationName},#{item.popularBrowse})
		</foreach>
	</insert>


</mapper>